import request from '@/utils/request'

// 查询塔机碰撞信息列表
export function listTowerDataCollide(query) {
  return request({
    url: '/device/towerDataCollide/list',
    method: 'get',
    params: query
  })
}

// 查询塔机碰撞信息详细
export function getTowerDataCollide(id) {
  return request({
    url: '/device/towerDataCollide/' + id,
    method: 'get'
  })
}

// 新增塔机碰撞信息
export function addTowerDataCollide(data) {
  return request({
    url: '/device/towerDataCollide',
    method: 'post',
    data: data
  })
}

// 修改塔机碰撞信息
export function updateTowerDataCollide(data) {
  return request({
    url: '/device/towerDataCollide',
    method: 'put',
    data: data
  })
}

// 删除塔机碰撞信息
export function delTowerDataCollide(id) {
  return request({
    url: '/device/towerDataCollide/' + id,
    method: 'delete'
  })
}
